#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 9. General Libraries

- Prev

  libidn-1.42

- Next

  libksba-1.6.7

- Up
- Home

# libidn2-2.3.7

## Introduction to libidn2

libidn2 is a package designed for internationalized string handling based on standards from the Internet Engineering Task Force (IETF)'s IDN working group, designed for internationalized domain names.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/libidn/libidn2-2.3.7.tar.gz

- Download MD5 sum: de2818c7dea718a4f264f463f595596b

- Download size: 2.1 MB

- Estimated disk space required: 21 MB (add 3 MB for tests)

- Estimated build time: 0.1 SBU (add 0.6 SBU for tests)

### libidn2 Dependencies

#### Recommended

libunistring-1.3

#### Optional

git-2.48.1 and GTK-Doc-1.34.0

## Installation of libidn2

Install libidn2 by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Program: idn2
Installed Library: libidn2.so
Installed Directory: /usr/share/gtk-doc/html/libidn2

### Short Descriptions

idn2 | is a command line interface to the internationalized domain library
`libidn2.so` | contains a generic Stringprep implementation used for internationalized string handling

- Prev

  libidn-1.42

- Next

  libksba-1.6.7

- Up
- Home